[Closed] (MDEP-670) <dependencyManagement> override indirect dependency version when run dependency:tree

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Closed] (MDEP-670) <dependencyManagement> override indirect dependency version when run dependency:tree

Herve Boutemy (Jira)

     [ https://issues.apache.org/jira/browse/MDEP-670?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Karl Heinz Marbaise closed MDEP-670.
------------------------------------
    Resolution: Not A Bug

> <dependencyManagement> override indirect dependency version when run dependency:tree
> ------------------------------------------------------------------------------------
>
>                 Key: MDEP-670
>                 URL: https://issues.apache.org/jira/browse/MDEP-670
>             Project: Maven Dependency Plugin
>          Issue Type: Bug
>          Components: tree
>    Affects Versions: 3.1.1
>            Reporter: yx91490
>            Priority: Major
>         Attachments: mdep-670.tgz
>
>
> 1. Define a dependency (for example {{org.slf4j:slf4j-api:1.6.0}}) in <{{dependencyManagement>}}
> 2. Depend a middle dependency with indirect dependency {{org.slf4j:slf4j-api:1.7.0}}
> 3. Run {{dependency:tree}} will show the middle dependency depend with {{1.6.0}} rather than {{1.7.0}}
>  



--
This message was sent by Atlassian Jira
(v8.3.4#803005)